Subject: Re: bug#2790: emacs 22.1.1 cannot open 5GB file on 64GB 64-bit Linux box
From: Eli Zaretskii <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 12 Sep 2011 05:59:16 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Mon, 12 Sep 2011 00:10:05 +0200
> Cc: [email-masked]
> 
> Mike Coleman <[email-masked]> writes:
> 
> > I'm trying to open a large (between 4GB and 5GB) file on a x86-64
> > Linux box that has 64GB of RAM.  I'm getting the error message
> > "Maximum buffer size exceeded".
> 
> A lot of work has gone into making Emacs 24 usable for visiting buffers
> that are larger than 2GB.  But I'm not sure if Emacs 24 is quite there
> yet.
> 
> Has anybody tried this lately?

We are there.  Before I removed the 2GB limit hat was artificially put
there to avoid crashes, I actually visited a file larger than 2GB (I
think it was 3GB and change) and made sure I can move in it, edit it,
and save it.

So I'm closing this bug.